Package com.castlabs.sdk.subtitles

# Class SubtitlesPlugin

java.lang.Object
com.castlabs.android.Plugin
com.castlabs.sdk.subtitles.SubtitlesPlugin

public class SubtitlesPlugin extends Plugin
This plugin provides support for extended Subtitles within the Castlabs SDK.

Before you can use this plugin, you need to register it with the `PlayerSDK` before you initialize the SDK itself. For example:

         PlayerSDK.register(new SubtitlesPlugin());
         PlayerSDK.init(getApplicationContext());

Since version 4.0.2, this plugin also registers a for a `SubtitlesViewComponent` to allow access to the underlying view that shows the subtitles on screen. If you're not using a `PlayerView`, you can use the `SubtitlesPlugin.SubtitlesPluginComponent` to get access to the underlying SubtitlesView. In order to do this, create a `SubtitlesView` either programmatically or by declaring it in a layout file, and `PlayerController.setComponentView(int, View)` it to the PlayerController passing the `SUBTITLES_VIEW_ID` as identifier.

Since:
  3.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SUBTITLES_VIEW_ID`
  View ID for the default `SubtitlesView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubtitlesPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `boolean`
  `isEnabled()`
  `void`
  `setEnabled(boolean enabled)`
  Enabled or disable the plugin

  ### Methods inherited from class com.castlabs.android.Plugin

  `init, onRemotePlay`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SUBTITLES_VIEW_ID

    @IdRes public static final int SUBTITLES_VIEW_ID
    View ID for the default `SubtitlesView`

- ## Constructor Details

  - ### SubtitlesPlugin

    public SubtitlesPlugin()

- ## Method Details

  - ### getId

    @NonNull public String getId()
    Specified by:
      `getId` in class `Plugin`

  - ### isEnabled

    public boolean isEnabled()
    Returns:
      True if the plugin is enabled

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Enabled or disable the plugin
    Parameters:
      `enabled` - new state